<div *ngIf="profile" class="body">

  <!-- Hero Section -->
  <div style="grid-area: titleInfo;" class="hero">
    <div class="heroDetails">
      <h2 style="margin-left: 34px; font-size: 25px;">{{ profile.title }}</h2>
      <div class="heroItem">
        <mat-icon>school</mat-icon>
        <p>{{ profile.organization }}</p>
      </div>
      <div class="heroItem" *ngIf="profile.institute">
        <mat-icon>account_balance</mat-icon>
        <p>{{ profile.institute.title }}</p>
      </div>
      <div class="heroItem">
        <mat-icon>code</mat-icon>
        <p>{{ profile.shortcut }}</p>
      </div>
    </div>

    <div class="logoContainer">
      <img *ngIf="profile.logo != 'undefined' && profile.logo != ''" class="logo"
        src="{{ mediaEndpoint + 'logos/' + profile.logo }}" alt="">
      <a *ngIf="profile.external_link" [href]="utils.sanitizeExternalLink(profile.external_link, sanitizer)" target="_blank">
        <button mat-stroked-button>
          <p style="width: fit-content;">External website</p>
          <mat-icon>open_in_new</mat-icon>
        </button>
      </a>
    </div>
  </div>

  <!-- Hero Mobile -->
  <div style="grid-area: titleInfo;" class="heroMobile">
    <h2 style="font-size: 25px;">{{ profile.title }}</h2>
    <img
      *ngIf="profile.logo != 'undefined' && profile.logo != ''"
      class="logo"
      src="{{ mediaEndpoint + 'logos/' + profile.logo }}"
      alt=""
    >

    <div class="heroItem">
      <mat-icon>school</mat-icon>
      <p>{{ profile.organization }}</p>
    </div>
    <div class="heroItem">
      <mat-icon>code</mat-icon>
      <p>{{ profile.shortcut }}</p>
    </div>

    <a *ngIf="profile.external_link" [href]="utils.sanitizeExternalLink(profile.external_link, sanitizer)" target="_blank">
      <button mat-stroked-button>
        <p style="width: fit-content;">External website</p>
        <mat-icon>open_in_new</mat-icon>
      </button>
    </a>
  </div>

  <div style="grid-area: leftContent;" class="leftContent">

    <div style="margin-bottom: 40px;" *ngIf="profile.projects.length > 0">
      <h2 style="margin-bottom: 5px;">Research Projects</h2>
      <div class="blackLine" style="margin-bottom: 20px;"></div>
      <mat-accordion>
        <mat-expansion-panel *ngFor="let project of profile.projects">
          <mat-expansion-panel-header>
            <mat-panel-title>
              {{ project['name'] }}
            </mat-panel-title>
            <!-- <mat-panel-description></mat-panel-description> -->
          </mat-expansion-panel-header>
          <div class="mat-expansion-panel-content" style="display: block;">
            <button mat-icon-button aria-label="edit this project"
              style="float: right; margin: 0 0 20px 20px; bottom: 0;" matTooltip="edit this project"
              (click)="openProjectDialog(project)">
              <mat-icon>edit</mat-icon>
            </button>
            <p>{{ project['description'] }}</p>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
    </div>

    <div style="margin-bottom: 40px;" *ngIf="profile.labs.length > 0">
      <h2 style="margin-bottom: 5px;">Research Labs</h2>
      <div class="blackLine" style="margin-bottom: 10px;"></div>
      <mat-accordion>
        <mat-expansion-panel *ngFor="let lab of profile.labs ">
          <mat-expansion-panel-header>
            <mat-panel-title>
              {{ lab['name'] }}
            </mat-panel-title>
            <!-- <mat-panel-description></mat-panel-description> -->
          </mat-expansion-panel-header>
          <div class="mat-expansion-panel-content" style="display: block;">

            <button mat-icon-button aria-label="edit this lab" style="float: right; margin: 0 0 20px 20px; bottom: 0;"
              matTooltip="edit this lab" (click)="openLabDialog(lab)">
              <mat-icon>edit</mat-icon>
            </button>
            <p>{{ lab['description'] }}</p>
          </div>
        </mat-expansion-panel>
      </mat-accordion>
    </div>

    <ng-container *ngIf="publicationsPaged">
      <div style="margin-bottom: 40px;" *ngIf="publicationsPaged!.length > 0">
        <h2 style="margin-bottom: 5px;">Bibliography</h2>
        <div class="blackLine" style="margin-bottom: 10px;"></div>
        <div class="publication-list">
          <div *ngFor="let publication of publicationsPaged">
            <strong>{{ publication.title }}</strong>
            <div>
              <strong>Authors:</strong>
              {{ publication.author ? getAuthorNames(publication.author) : 'Unknown Author' }}
            </div>
            <p><strong>Year:</strong> {{ publication.year }}</p>
            <!-- <p><strong>Type:</strong> {{ publication.type }}</p> -->
            <p *ngIf="publication.journal">
              <strong>Journal:</strong> {{ publication.journal.name }}
              {{ publication.journal.volume ? 'Volume ' + publication.journal.volume : '' }}
              {{ publication.journal.number ? 'Number ' + publication.journal.number : '' }}
            </p>
            <p *ngIf="publication.booktitle"><strong>Book Title:</strong> {{ publication.booktitle }}</p>
            <p *ngIf="publication.pages"><strong>Pages:</strong> {{ publication.pages }}</p>
            <p *ngIf="publication.publisher">
              <strong>Publisher:</strong> {{ publication.publisher.name }}
              {{ publication.publisher.address ? '(' + publication.publisher.address + ')' : '' }}
            </p>
            <hr />
          </div>
        </div>
      </div>
    </ng-container>
    <mat-paginator *ngIf="publications" (page)="handlePageEvent($event)" [length]="publications.length" [pageSize]="10"
      [pageSizeOptions]="[5, 10, 25, 100]" aria-label="Select page">
    </mat-paginator>
  </div>

  <div style="grid-area: rightContent;" class="rightContent">
    <mat-card class="rightItem">
      <mat-card-title>Description</mat-card-title>
      <div class="blackLine"></div>
      <p [innerHTML]="profile.description || '' | newline" class="content"></p>

      <mat-card-title>Research Focus</mat-card-title>
      <div class="greyLine"></div>
      <p [innerHTML]="profile.research_focus || '' | newlineBullet" class="content"></p>
      <mat-card-title>Address</mat-card-title>
      <div class="greyLine"></div>
      <div class="moreInfo">
        <app-address [address]="profile.address" style="width: fit-content;"></app-address>

      </div>
    </mat-card>
    <mat-card class="rightItem" style="margin-top: 20px;">
      <mat-card-title>Research Networks</mat-card-title>
      <div class="greyLine"></div>
      <div class="networkList">
        <app-title-logo-card *ngFor="let network of profile.networks" [link]="'/networks/' + network.id"
          [shortcut]="network.shortcut" [title]="network.name" [logo]="network.logo">
        </app-title-logo-card>
      </div>


      <mat-card-title>Research Cluster</mat-card-title>
      <div class="greyLine"></div>
      <mat-chip-set>
        <mat-chip *ngFor="let cluster of profile.clusters" class="chip"
          (click)="openClusterDialog(cluster.id);">
          {{ cluster.name }}
        </mat-chip>
      </mat-chip-set>
    </mat-card>

    <mat-card class="rightItem" style="margin-top: 20px;">
      <mat-card-title>Institution</mat-card-title>
      <div class="greyLine"></div>

      <app-item-card
        *ngIf="isInstitute(profile.institute)"
        [shortcut]="profile.institute.shortcut"
        [title]="profile.institute.title"
        [logo]="profile.institute.logo ? mediaEndpoint + 'logos/' + profile.institute.logo : ''"
        (click)="utils.openInstituteDialog(profile.institute, dialog, api)"
      ></app-item-card>
    </mat-card>
  </div>

  <div style="grid-area: representatives;" class="representatives">
    <h3 style="margin: 0;">Representatives</h3>
    <div class="blackLine" style="margin-bottom: 20px; width: 80%;"></div>
    <div class="repList">
      <ng-container *ngFor="let rep of profile.representatives">
        <app-representative-bubble [representative]="rep"></app-representative-bubble>
      </ng-container>
    </div>
    <br>

    <h3 style="margin: 30px 0 0 0;">Maintainers</h3>
    <div class="blackLine" style="margin-bottom: 20px; width: 80%;"></div>
    <div class="repList">
      <ng-container *ngFor="let rep of profile.maintainers">
        <app-representative-bubble [representative]="rep"></app-representative-bubble>
      </ng-container>
    </div>
  </div>

  <div class="editButtons" style="grid-area: buttons;">
    <div class="buttonContainer">
      <button class="button" mat-icon-button aria-label="Edit this profile" [routerLink]="['/profiles/edit/', id]">
        <mat-icon>mode_edit</mat-icon>
      </button>
      <p>Edit this profile</p>
    </div>
    <div class="buttonContainer">
      <button class="button" mat-icon-button aria-label="Edit this profile"
        (click)="api.deleteEntry('profile', profile.id, profile.title)">
        <mat-icon>delete_forever</mat-icon>
      </button>
      <p>Delete this profile</p>
    </div>
  </div>
</div>
